Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606115 - Scanning for Drives Locks Up
Scanning for Drives Locks Up
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 14:14 EDT by Eliot Gable
Modified: 2010-06-28 17:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 17:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eliot Gable 2010-06-20 14:14:49 EDT
Description of problem:

Choosing basic storage media for installation causes the graphical install to hang. The console-based installer also hangs at this step.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux 6 Beta

How reproducible:

100% reproducible

Steps to Reproduce:
1. Just select "Basic Storage Media" as the location to install.
2.
3.
  
Actual results:

Locks up.

Expected results:

Should take me to the screen where I can partition the drive.

Additional info:

Hardware involved:

1x 1.5 TB Samsung HD154UI ATA hard drive (Serial ATA, standalone, with Win7 Ultimate x64 installed)

1 RAID 10 array (unformatted):
 - 3Ware 9650SE SATA RAID Controller w/battery backed-up cache 
   - Model 9650SE-4LPML
   - Firmware FE9X 4.10.00.007
   - Driver 3.00.04.070
   - BIOS BE9X 4.08.00.002
   - BL9X 3.08.00.001
   - Available Memory 224 MB
 - 3x Samsung HD501LJ 465.76 GiB (500 GB) SATA II hard drives
   - Firmware CR100-13
 - 1x ST3500630AS 465.76 GiB (500 GB) SATA I hard drive
   - Firmware 3.AAK

Motherboard: ASUS M3A32-MVP Deluxe With WIFI
Processor: AMD Phenom 9600 Quad Core 2.3 GHz CPU
RAM: 8 GB OCZ Platinum
Video Card: Radeon HD 3850
Comment 2 RHEL Product and Program Management 2010-06-20 14:43:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Eliot Gable 2010-06-20 22:26:09 EDT
This seems to be related to udevadm. Running top shows both top and udevadm using .3% CPU. After killing udevadm, the installer moves on to the next screen asking me to choose a disk. After selecting the RAID array and clicking next, it says "Finding Storage Devices..." and then sits there hung again. Top shows udevadm at .3% CPU again. Killing it several more times does not seem to help.
Comment 4 Harald Hoyer 2010-06-21 11:53:39 EDT
udev does not call udevadm. assigning back to anaconda.
Comment 5 David Cantrell 2010-06-21 14:18:23 EDT
Well that's not really true.  At least grepping /lib/udev shows 'udevadm'.

At any rate, anaconda runs 'udevadm settle --timeout=300'.  If udevadm is failing, there's nothing anaconda can do about it except reassign the issue to the owner of udevadm, which is the udev component.

It's probably worth having more log output.  dmesg output, log files in /tmp, etc?

Note You need to log in before you can comment on or make changes to this bug.